OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Public Attributes | List of all members
op::WrapperStructFace Struct Reference

`#include <wrapperStructFace.hpp>`

## Public Member Functions
| WrapperStructFace (const bool enable=false, const Point< int > &netInputSize=Point< int >{368, 368}, const RenderMode renderMode=RenderMode::Gpu, const float alphaKeypoint=FACE_DEFAULT_ALPHA_KEYPOINT, const float alphaHeatMap=FACE_DEFAULT_ALPHA_HEAT_MAP, const float renderThreshold=0.4f)

## Public Attributes
bool | enable
Point< int > | netInputSize
RenderMode | renderMode
float | alphaKeypoint
float | alphaHeatMap
float | renderThreshold

## Detailed Description

WrapperStructFace: Face estimation and rendering configuration struct. WrapperStructFace allows the user to set up the face estimation and rendering parameters that will be used for the OpenPose WrapperT template and Wrapper class.

## Constructor & Destructor Documentation

op::WrapperStructFace::WrapperStructFace | ( | const bool | enable = `false`,
|  | const Point< int > & | netInputSize = `Point< int >{368, 368}`,
|  | const RenderMode | renderMode = `RenderMode::Gpu`,
|  | const float | alphaKeypoint = `FACE_DEFAULT_ALPHA_KEYPOINT`,
|  | const float | alphaHeatMap = `FACE_DEFAULT_ALPHA_HEAT_MAP`,
|  | const float | renderThreshold = `0.4f`
| ) |  |

Constructor of the struct. It has the recommended and default values we recommend for each element of the struct. Since all the elements of the struct are public, they can also be manually filled.

## Member Data Documentation

float op::WrapperStructFace::alphaHeatMap

Rendering blending alpha value of the heat maps (face part, background or PAF) with respect to the background image. Value in the range [0, 1]. 0 will only render the background, 1 will only render the heat map.

float op::WrapperStructFace::alphaKeypoint

Rendering blending alpha value of the pose point locations with respect to the background image. Value in the range [0, 1]. 0 will only render the background, 1 will fully render the pose.

bool op::WrapperStructFace::enable

Whether to extract face.

Point<int> op::WrapperStructFace::netInputSize

CCN (Conv Net) input size. The greater, the slower and more memory it will be needed, but it will potentially increase accuracy. Both width and height must be divisible by 16.

RenderMode op::WrapperStructFace::renderMode

Whether to render the output (pose locations, body, background or PAF heat maps) with CPU or GPU. Select `None` for no rendering, `Cpu` or `Gpu` por CPU and GPU rendering respectively.

float op::WrapperStructFace::renderThreshold

Rendering threshold. Only estimated keypoints whose score confidences are higher than this value will be rendered. Generally, a high threshold (> 0.5) will only render very clear body parts; while small thresholds (~0.1) will also output guessed and occluded keypoints, but also more false positives (i.e., wrong detections).

The documentation for this struct was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/wrapper/wrapperStructFace.hpp